Bug 11958 - classification sources help file has typo
Summary: classification sources help file has typo
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nicole C. Engard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-19 13:17 UTC by Nicole C. Engard
Modified: 2015-06-04 23:30 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11958: Fix small typo in classification source help (1.30 KB, patch)
2014-03-19 13:21 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11958: Fix small typo in classification source help (1.40 KB, patch)
2014-03-19 13:55 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 11958: Fix small typo in classification source help (1.47 KB, patch)
2014-03-19 15:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
[BUG 11958] Fix typon in classification source help The Classification Sources help file said the source was in the 942$2 but it's in the 952$2 and 94$2 so this patch fixes that. (1.31 KB, patch)
2014-05-31 17:33 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Fix typon in classification source help The Classification Sources help file said the source was in the 942$2 but it's in the 952$2 and 94$2 so this patch fixes that. (1.52 KB, patch)
2014-06-01 16:16 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 11958: Fix typon in classification source help (1.54 KB, patch)
2014-06-02 13:54 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-03-19 13:17:09 UTC
It says that the classification is the 942$2 when it's really the 952$2. Patch to follow.
Comment 1 Nicole C. Engard 2014-03-19 13:21:33 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2014-03-19 13:55:39 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-03-19 15:05:57 UTC Comment hidden (obsolete)
Comment 4 Galen Charlton 2014-03-26 19:09:25 UTC
Actually, the classification source a column (cn_source) in *both* the items and biblioitems tables.  Consequently, it gets mapped to *both* the 942$2 and 952$2.

Consequently, the patch as proposed is incomplete.
Comment 5 Nicole C. Engard 2014-05-31 17:33:25 UTC Comment hidden (obsolete)
Comment 6 Bernardo Gonzalez Kriegel 2014-06-01 16:16:35 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2014-06-02 13:54:18 UTC
Created attachment 28610 [details] [review]
Bug 11958: Fix typon in classification source help

The Classification Sources help file said the source was in the 942$2 but it's in the 952$2 and 94$2 so this patch fixes that.

To test:
* Go to Admin > Classification Sources
* Click Help
* Confirm the Help file is right now

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
String change, no errors.

Note: Perhaps change "Authorized Values ..." for "Authorized values ..."

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Tomás Cohen Arazi 2014-06-16 19:02:49 UTC
Patch pushed to master.

Thanks Nicole!
Comment 9 Galen Charlton 2014-06-18 21:13:31 UTC
Pushed to 3.16.x for inclusion in 3.16.1.